{% extends "base.twig" %}

{% block content %}



<div>

    <div class="header-blog">
        <h1>BLOG</h1>
    </div>
    <div class="pb__category">

        <div class="swiper">

            <li class="swiper__slide"><a href="#">Wszystkie kategorie</a></li>

            <li class="swiper__slide"><a href="#">Dla programistów</a></li>

            <li class="swiper__slide"><a href="#">Innowacje</a></li>

            <li class="swiper__slide"><a href="#">Innowacje</a></li>

            <li class="swiper__slide"><a href="#">Lepsza strona</a></li>

            <li class="swiper__slide"><a href="#">Skuteczne projekty</a></li>

            <li class="swiper__slide"><a href="#">wiedza</a></li>


        </div>

    </div>

    <div class="my-5">

        <div class="wrapper">

            {% if posts is not empty %}

            <div class="grid">

                {% for post in posts %}

                {% set title_words = post.title|split(' ') %} {# Podziel tytuł na tablicę wyrazów #}
                {% set word_limit = 6 %}
                {% set truncated_title = title_words|slice(0, word_limit)|join(' ') ~ (title_words|length > word_limit ?
                '...' : '') %}

                <div class="grid-item grid__item-{{loop.index }}">

                    <div class="grid__card">

                        <div class="grid__container-img">
                            <a class="blog__link-img" href="{{ post.link }}">
                                <img class="grid__img" src="{{ post.thumbnail.src }}" alt="#">
                            </a>
                            <h2 class="grid__heading">

                                <a href="{{ post.link }}">{{ truncated_title }}</a>
                            </h2>
                            <div class="grid__line"></div>
                        </div>
                        <div class="grid__content">
                            <p class="grid__text">{{ post.excerpt({ words: 30, chars: 110, read_more: 'Keep reading' })
                                }}
                            </p>

                            <a class="grid__link" href="{{ post.link }}">DOWIEDZ SIĘ WIĘCEJ</a>
                        </div>

                    </div>
                </div>

                {% endfor %}


            </div>

            {% endif %}

        </div>
    </div>


</div>

{% endblock %}